using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class MasterPage : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Koszyk koszyk = new Koszyk();
        ListBox1.Items.Clear();
        if (Session["_koszyk"]!=null)
        {
            koszyk = (Koszyk)Session["_koszyk"];
            foreach (string linia in koszyk.tytuly)
                ListBox1.Items.Add(linia);
            Label2.Text = koszyk.Koszt().ToString();
        }
        Label1.Text = koszyk.WielkoscKoszyka().ToString();
        if (koszyk.WielkoscKoszyka() == 1)
            Label3.Text = "ksiązka";
        if (koszyk.WielkoscKoszyka() > 1 && koszyk.WielkoscKoszyka() < 5)
            Label3.Text = "książki";
        if (koszyk.WielkoscKoszyka() > 5)
            Label3.Text = "ksiażek";

    }
    protected void ListBox1_Load(object sender, EventArgs e)
    { 
        
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (ListBox1.Items.Count>0)
        Response.Redirect("Zamawianie.aspx");
    }
    protected void LoginStatus1_LoggingOut(object sender, LoginCancelEventArgs e)
    {
   
    }
}
